#!/usr/bin/env python

"""
Point2Play Source Code
Copyright (c) 2004 by TransGaming Technologies, Inc.
All rights reserved
Redistribution of Point2Play is forbidden without the expressed written 
permission of TransGaming Technologies Inc.

"""

import pygtk
pygtk.require('2.0')
import gtk
import gtk.glade
from types import *
import os, log

# If Point2Play is being launched by the packaged launch script, then it needs to be able
# to be launched from anywhere.  In this case, P2PPATH will already be set, and we can use
# that as a path to locate our files.

p2ppath = ""
running_from_cvs = False
if os.environ.has_key('P2PPATH'):
    p2ppath = os.getenv("P2PPATH")
if os.environ.has_key('RUNNING_FROM_CVS'):
    running_from_cvs = os.getenv("RUNNING_FROM_CVS")
GLADE_FILE = "./gui/" + __name__ + ".glade"
if not running_from_cvs and p2ppath:
    GLADE_FILE = p2ppath + "/gui/" + __name__ + ".glade"

if running_from_cvs:
    LICENSE = "./LICENSE"
else:
    LICENSE = p2ppath + "/LICENSE"

if running_from_cvs:
    CREDITS = "./CREDITS"
else:
    CREDITS = p2ppath + "/CREDITS"

	
class WidgetsWrapper:
    def __init__(self):
        self.widgets = gtk.glade.XML(GLADE_FILE, None, "p2p_localized_msg")

    # Gives us the ability to do: widgets['widget_name'].action()
    def __getitem__(self, key):
        return self.widgets.get_widget(key)

class AboutDialog:
    def __init__(self):
        self.widgets = WidgetsWrapper()
        self.widgets.widgets.signal_autoconnect(self)

        # dump the contents of the LICENSE and CREDITS files into the appropriate textviews
        f = open(LICENSE, 'r')
        license = f.read() # slurp it all into the variable
        self.widgets["license_textview"].get_buffer().set_text(license)
        f.close()

        f = open(CREDITS, 'r')
        credits = f.read()
        self.widgets["authors_textview"].get_buffer().set_text(credits)
        f.close()
