#!/usr/bin/env python

import os
import logging
import logging.config

# If Point2Play is being launched by the packaged launch script, then it needs to be able
# to be launched from anywhere.  In this case, P2PPATH will already be set, and we can use
# that as a path to locate our files. If we're running from cvs we probably want to use the 
# log.ini file in the frontend/ directory.

p2ppath = ""
running_from_cvs = False
if os.environ.has_key('P2PPATH'):
    p2ppath = os.getenv("P2PPATH")
if os.environ.has_key('RUNNING_FROM_CVS'):
    running_from_cvs = os.getenv("RUNNING_FROM_CVS")

ini_file = "log.ini"
if not running_from_cvs and p2ppath:
    ini_file = p2ppath + "/log.ini"

logging.config.fileConfig( ini_file )
logger = logging.getLogger('Point2Play')
